
EXTRA_DIST =  

# Warning: This is an automatically generated file, do not edit!

if ENABLE_DEBUG
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:TRACE;DEBUG"
ASSEMBLY = ../bin/Ntp.Analyzer.Monitor.Server.dll
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.dll \
	../bin/Ntp.Analyzer.Objects.dll \
	../bin/Ntp.Common.dll \
	../bin/Ntp.Analyzer.Data.dll
BUILD_DIR = ../bin

NTP_ANALYZER_MONITOR_SERVER_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Monitor.Server.dll.mdb
NTP_ANALYZER_MONITOR_SERVER_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Monitor.Server.dll.mdb
NTP_ANALYZER_DLL_SOURCE=../bin/Ntp.Analyzer.dll
NTP_ANALYZER_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Objects.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Objects.dll.mdb
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB_SOURCE=../bin/Ntp.Data.dll.mdb
NTP_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Data.dll.mdb
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB_SOURCE=../bin/Ntp.Common.dll.mdb
NTP_COMMON_DLL_MDB=$(BUILD_DIR)/Ntp.Common.dll.mdb
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Data.dll.mdb
NTP_ANALYZER_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Data.dll.mdb
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB_SOURCE=../bin/Ntp.Data.Provider.dll.mdb
NTP_DATA_PROVIDER_DLL_MDB=$(BUILD_DIR)/Ntp.Data.Provider.dll.mdb
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Import.dll.mdb
NTP_ANALYZER_IMPORT_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Import.dll.mdb

endif

if ENABLE_RELEASE
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ "-define:TRACE"
ASSEMBLY = ../bin/Ntp.Analyzer.Monitor.Server.dll
ASSEMBLY_MDB = 
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.dll \
	../bin/Ntp.Analyzer.Objects.dll \
	../bin/Ntp.Common.dll \
	../bin/Ntp.Analyzer.Data.dll
BUILD_DIR = ../bin

NTP_ANALYZER_MONITOR_SERVER_DLL_MDB=
NTP_ANALYZER_DLL_SOURCE=../bin/Ntp.Analyzer.dll
NTP_ANALYZER_DLL_MDB=
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB=
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB=
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB=
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB=
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB=
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB=

endif

AL=al
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(NTP_ANALYZER_MONITOR_SERVER_DLL_MDB) \
	$(NTP_ANALYZER_DLL) \
	$(NTP_ANALYZER_DLL_MDB) \
	$(NTP_ANALYZER_OBJECTS_DLL) \
	$(NTP_ANALYZER_OBJECTS_DLL_MDB) \
	$(NTP_DATA_DLL) \
	$(NTP_DATA_DLL_MDB) \
	$(NTP_COMMON_DLL) \
	$(NTP_COMMON_DLL_MDB) \
	$(NTP_ANALYZER_DATA_DLL) \
	$(NTP_ANALYZER_DATA_DLL_MDB) \
	$(NTP_DATA_PROVIDER_DLL) \
	$(NTP_DATA_PROVIDER_DLL_MDB) \
	$(MYSQL_DATA_DLL) \
	$(NPGSQL_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL_MDB)  


RESGEN=resgen2
	
all: $(ASSEMBLY) $(PROGRAMFILES) 

FILES = \
	../Shared/AssemblyInfo.cs \
	Billboard.cs \
	Listener.cs \
	Request.cs \
	ApplicationState.cs \
	CommandType.cs \
	CommandFactory.cs \
	CommandDescription.cs \
	ICommandDescription.cs \
	TextCommand/PidCommand.cs \
	TextCommand/PingCommand.cs \
	TextCommand/VersionCommand.cs \
	TextCommand/ConfigFileCommand.cs \
	TextCommand/HelpCommand.cs \
	TextCommand/JobsCommand.cs \
	TextCommand/ScheduleCommand.cs \
	TextCommand/TimeCommand.cs \
	TextCommand/NextJobCommand.cs \
	TextCommand/ServerCommand.cs \
	TextCommand/ProgCommand.cs \
	TextCommand/MonitorTextCommand.cs \
	TextCommand/UptimeCommand.cs \
	Command.cs \
	PacketCommand/PacketCommand.cs \
	TextCommand/RunningCommand.cs \
	TextCommand/ProcCommand.cs \
	TextCommand/ActivityCommand.cs 

DATA_FILES = 

RESOURCES = 

EXTRAS = 

REFERENCES =  \
	System \
	System.Core

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) 

include $(top_srcdir)/Makefile.include

NTP_ANALYZER_DLL = $(BUILD_DIR)/Ntp.Analyzer.dll
NTP_ANALYZER_OBJECTS_DLL = $(BUILD_DIR)/Ntp.Analyzer.Objects.dll
NTP_DATA_DLL = $(BUILD_DIR)/Ntp.Data.dll
NTP_COMMON_DLL = $(BUILD_DIR)/Ntp.Common.dll
NTP_ANALYZER_DATA_DLL = $(BUILD_DIR)/Ntp.Analyzer.Data.dll
NTP_DATA_PROVIDER_DLL = $(BUILD_DIR)/Ntp.Data.Provider.dll
MYSQL_DATA_DLL = $(BUILD_DIR)/MySql.Data.dll
NPGSQL_DLL = $(BUILD_DIR)/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL = $(BUILD_DIR)/Ntp.Analyzer.Import.dll

$(eval $(call emit-deploy-target,MYSQL_DATA_DLL))
$(eval $(call emit-deploy-target,NPGSQL_DLL))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'

$(ASSEMBLY_MDB): $(ASSEMBLY)

$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	mkdir -p $(shell dirname $(ASSEMBLY))
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
